Freeciv-3.2: action Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
action Struct Reference

`#include <actions.h>`

## Data Fields

action_id | id
enum action_result | result
bv_action_sub_results | sub_results
enum action_actor_kind | actor_kind
enum action_target_kind | target_kind
enum action_sub_target_kind | sub_target_kind
enum act_tgt_compl | target_complexity
int | min_distance
int | max_distance
char | ui_name [MAX_LEN_NAME]
bool | quiet
bv_actions | blocked_by
bool | actor_consuming_always
union { |
struct { |
bool rare_pop_up |
bool unitwaittime_controlled |
enum moves_actor_kind moves_actor |
} is_unit |
} | actor |

## Detailed Description

Definition at line 359 of file actions.h.

## Field Documentation

## ◆ [union]

union { ... } action::actor

Referenced by action_id_is_rare_pop_up(), and unit_action_new().

## ◆ actor_consuming_always

bool action::actor_consuming_always

Definition at line 393 of file actions.h.

Referenced by action_new(), handle_ruleset_action(), load_action_actor_consuming_always(), save_action_actor_consuming_always(), and unit_action_new().

## ◆ actor_kind

enum action_actor_kind action::actor_kind

Definition at line 366 of file actions.h.

Referenced by action_new(), handle_ruleset_action(), and send_ruleset_actions().

## ◆ blocked_by

bv_actions action::blocked_by

Definition at line 387 of file actions.h.

Referenced by action_new(), action_would_be_blocked_by(), handle_ruleset_action(), and send_ruleset_actions().

## ◆ id

action_id action::id

Definition at line 361 of file actions.h.

Referenced by action_is_blocked_by(), action_name_translation(), action_new(), action_number(), action_rule_name(), and helptext_unit().

## ◆ [struct]

struct { ... } action::is_unit

Referenced by action_id_is_rare_pop_up(), and unit_action_new().

## ◆ max_distance

int action::max_distance

Definition at line 376 of file actions.h.

Referenced by action_distance_inside_max(), action_new(), handle_ruleset_action(), load_action_range_max(), save_action_max_range(), send_ruleset_actions(), and unit_action_new().

## ◆ min_distance

int action::min_distance

Definition at line 376 of file actions.h.

Referenced by action_distance_accepted(), action_new(), handle_ruleset_action(), load_action_range(), send_ruleset_actions(), and unit_action_new().

## ◆ moves_actor

enum moves_actor_kind action::moves_actor

Definition at line 413 of file actions.h.

Referenced by unit_action_new().

## ◆ quiet

bool action::quiet

Definition at line 383 of file actions.h.

Referenced by action_new(), handle_ruleset_action(), helptext_building(), helptext_unit(), load_ruleset_actions(), save_actions_ruleset(), and send_ruleset_actions().

## ◆ rare_pop_up

bool action::rare_pop_up

Definition at line 406 of file actions.h.

Referenced by action_id_is_rare_pop_up(), and unit_action_new().

## ◆ result

enum action_result action::result

Definition at line 363 of file actions.h.

Referenced by action_array_add_all_by_result(), action_maybe_possible_actor_unit(), action_new(), handle_ruleset_action(), unit_action_new(), and utype_can_do_action_result().

## ◆ sub_results

bv_action_sub_results action::sub_results

Definition at line 364 of file actions.h.

Referenced by action_new(), handle_ruleset_action(), and load_ruleset_actions().

## ◆ sub_target_kind

enum action_sub_target_kind action::sub_target_kind

Definition at line 368 of file actions.h.

Referenced by action_new(), and handle_ruleset_action().

## ◆ target_complexity

enum act_tgt_compl action::target_complexity

Definition at line 371 of file actions.h.

Referenced by action_new().

## ◆ target_kind

enum action_target_kind action::target_kind

Definition at line 367 of file actions.h.

Referenced by action_new(), handle_ruleset_action(), load_action_kind(), save_action_kind(), and send_ruleset_actions().

## ◆ ui_name

char action::ui_name[MAX_LEN_NAME]

Definition at line 379 of file actions.h.

Referenced by action_new(), handle_ruleset_action(), save_action_ui_name(), and send_ruleset_actions().

## ◆ unitwaittime_controlled

bool action::unitwaittime_controlled

Definition at line 409 of file actions.h.

Referenced by unit_action_new().